Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
close.c File Reference
`#include "ruby/missing.h"`
`#include <errno.h>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
Include dependency graph for close.c:

Go to the source code of this file.

## Functions
int | ruby_getpeername (int s, struct sockaddr *name, socklen_t *namelen)
int | ruby_getsockname (int s, struct sockaddr *name, socklen_t *namelen)
int | ruby_shutdown (int s, int how)
int | ruby_close (int s)

## Function Documentation

int ruby_close | ( | int | s) |  |

Definition at line 60 of file close.c.

References ECONNRESET, err, and errno.

int ruby_getpeername | ( | int | s,
|  | struct sockaddr * | name,
|  | socklen_t * | namelen
| ) |  |

Definition at line 10 of file close.c.

References ECONNRESET, err, and errno.

int ruby_getsockname | ( | int | s,
|  | struct sockaddr * | name,
|  | socklen_t * | namelen
| ) |  |

Definition at line 27 of file close.c.

References ECONNRESET, err, and errno.

int ruby_shutdown | ( | int | s,
|  | int | how
| ) |  |

Definition at line 44 of file close.c.

References ECONNRESET, err, errno, and shutdown.